services:
  gitlab:
    image: 'gitlab/gitlab-ce:18.9.0-ce.0'
    restart: always
    stop_grace_period: 3h
#    hostname: 'scm.ngser.com'
    hostname: 'apptimcash.com'
    environment:
      GITLAB_OMNIBUS_CONFIG: |
        external_url 'http://apptimcash.com:8000'
        registry_external_url 'http://apptimcash.com:5050'
        gitlab_rails['registry_enabled'] = true
        nginx['redirect_http_to_https'] = true
#        registry_nginx['ssl_certificate'] = "/etc/gitlab/ssl/gitlab.ngser.com.crt"
#        registry_nginx['ssl_certificate_key'] = "/etc/gitlab/ssl/gitlab.ngser.com.key"
      GITLAB_SKIP_UNMIGRATED_DATA_CHECK: "true"
    volumes:
      - './gitlab-data/ssl:/etc/gitlab/ssl'
      - './gitlab-data/config:/etc/gitlab'
      - './gitlab-data/logs:/var/log/gitlab'
      - './gitlab-data/data:/var/opt/gitlab'
    ports:
      - '8000:80'   # Accès via http://IP-SERVEUR:8080
#      - '8000:80'  # Accès via https://IP-SERVEUR:4443
#      - '2222:22'   # Accès Git via SSH sur le port 2222
      - '5050:5050'  # Accè la registry
